﻿using Syncfusion.Windows.Forms.Tools;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace TabbedMDIEvent
{
    public partial class Form1 : RibbonForm
    {
        public Form1()
        {
            InitializeComponent();
          
        }
        MDITabPanel panel = null;
        MDITabPanel[] ctrl = null;
        int i = 0;
        //This event will be triggered if new TabControl is added.
        private void tabbedMDIManager1_TabControlAdded(object sender, Syncfusion.Windows.Forms.Tools.TabbedMDITabControlEventArgs args)
        {
            panel = args.TabControl;
            //ctrl[i] = args.TabControl;
            //i++;
            //MessageBox.Show("TabControl Added");
            args.TabControl.ControlAdded += TabControl_ControlAdded;            
        }
        //This event will be triggered while adding each form into the TabControl
        void TabControl_ControlAdded(object sender, ControlEventArgs e)
        {
            //MessageBox.Show("Control added as TapPages in TabControl");           
        }

        Form2 form2 = new Form2();

        Form3 form3 = new Form3();
        private void ribbonControlAdv1_MenuButtonClick(object sender, EventArgs e)
        {
            form2.MdiParent = this;
            form2.Text = "NewForm" + i.ToString();
            form2.Show();
            i++;

            form3.Text = "NewForm" + i.ToString();
            form3.MdiParent = this;
            form3.Show();
            i++;
        }
      
        private void toolStripButton2_Click(object sender, EventArgs e)
        {
            //ctrl.ActiveTabColor = Color.Red;
            //To add new tabcontrol and raise TabControlAdded event
            this.tabbedMDIManager1.CreateNewHorizontalGroup();
        }

        private void toolStripComboBox1_SelectedIndexChanged(object sender, EventArgs e)
        {
            if(this.toolStripComboBox1.SelectedItem.ToString() == "Office2007")
                this.ribbonControlAdv1.RibbonStyle = RibbonStyle.Office2007;
            else if (this.toolStripComboBox1.SelectedItem.ToString() == "Office2010")
                this.ribbonControlAdv1.RibbonStyle = RibbonStyle.Office2010;
            else if (this.toolStripComboBox1.SelectedItem.ToString() == "Office2013")
                  this.ribbonControlAdv1.RibbonStyle = RibbonStyle.Office2013;
            else if (this.toolStripComboBox1.SelectedItem.ToString() == "TouchStyle")
                this.ribbonControlAdv1.RibbonStyle = RibbonStyle.TouchStyle;
        }

        private void toolStripButton3_Click(object sender, EventArgs e)
        {
            //To set the ActiveTabColor of TabbedMDI
            this.tabbedMDIManager1.TabGroupHosts[0].MDITabPanel.ActiveTabColor = Color.Red;
        }

        private void toolStripButton4_Click(object sender, EventArgs e)
        {
            //To set the TabPanelBackColor of TabbedMDI
            this.tabbedMDIManager1.TabGroupHosts[0].MDITabPanel.TabPanelBackColor = Color.Yellow;
        }

        private void toolStripButton5_Click(object sender, EventArgs e)
        {
            //To set the InActiveTabColor of TabbedMDI
            this.tabbedMDIManager1.TabGroupHosts[0].MDITabPanel.InactiveTabColor = Color.Green;
        }

        private void toolStripButton6_Click(object sender, EventArgs e)
        {
            form2.textBoxExt1.Enabled = false;
            form3.textBoxExt1.Enabled = false;
        }

        private void toolStripButton8_Click(object sender, EventArgs e)
        {
            //To set the properties of TextBoxExt in form2
            form2.textBoxExt1.Enabled = true;
            form3.textBoxExt1.Enabled = true;
        }

        private void toolStripButton7_Click(object sender, EventArgs e)
        {
            foreach (Form form in this.tabbedMDIManager1.MdiChildren)
            {
                //Gets the form properties.
                MessageBox.Show(form.Text);
            }
        }
    }
}
